step_iterator< Iterator > Class Template Reference

Iterator advancing in constant steps. More...

`#include <ql/utilities/steppingiterator.hpp>`

Inherits iterator_adaptor< step_iterator< Iterator >, Iterator >.

## Public Member Functions

| step_iterator (const Iterator &base, Size step)
template<class OtherIterator >
| step_iterator (const step_iterator< OtherIterator > &i, typename boost::enable_if_convertible< OtherIterator, Iterator >::type *=0)
Size | step () const
void | increment ()
void | decrement ()
void | advance (typename super_t::difference_type n)
super_t::difference_type | distance_to (const step_iterator &i) const

## Related Functions

(Note that these are not member functions.)
template<class Iterator >
step_iterator< Iterator > | make_step_iterator (Iterator it, Size step)
| helper function to create step iterators More...

## Detailed Description

### template<class Iterator>
class QuantLib::step_iterator< Iterator >

Iterator advancing in constant steps.

This iterator advances an underlying random-access iterator in steps of \( n \) positions, where \( n \) is a positive integer given upon construction.

## Friends And Related Function Documentation

step_iterator< Iterator > make_step_iterator | ( | Iterator | it,
|  | Size | step
| ) |  |

related

helper function to create step iterators